pmount-0.9.99-4.211.x86_64.rpm


Advertisement

Description

pmount - Mount removable devices as normal user

Property Value
Distribution openSUSE Tumbleweed
Repository Packman all
Package filename pmount-0.9.99-4.211.x86_64.rpm
Package name pmount
Package version 0.9.99
Package release 4.211
Package architecture x86_64
Package type rpm
Category System/Base
Homepage http://alioth.debian.org/projects/pmount/
License GPL-2.0+
Maintainer -
Download size 61.46 KB
Installed size 150.30 KB
Pmount is a wrapper around the standard mount program which permits normal
users to mount removable devices without a matching /etc/fstab entry.

Alternatives

Package Version Architecture Repository
pmount-0.9.99-4.212.i586.rpm 0.9.99 i586 Packman
pmount - - -

Requires

Name Value
config(pmount) = 0.9.99-4.211
libblkid.so.1()(64bit) -
libblkid.so.1(BLKID_1.0)(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libc.so.6(GLIBC_2.7)(64bit) -
permissions -

Provides

Name Value
config(pmount) = 0.9.99-4.211
pmount = 0.9.99-4.211
pmount(x86-64) = 0.9.99-4.211

Download

Type URL
Mirror packman.inode.at
Binary Package pmount-0.9.99-4.211.x86_64.rpm
Source Package pmount-0.9.99-4.211.src.rpm

Install Howto

  1. Add the Packman repository:
    # zypper addrepo http://packman.inode.at/suse/openSUSE_Tumbleweed/ packman
  2. Install pmount rpm package:
    # zypper install pmount

Files

Path
/etc/pmount.allow
/etc/pmount.conf
/etc/bash_completion.d/pmount
/usr/bin/pmount
/usr/bin/pumount
/usr/share/doc/packages/pmount/AUTHORS
/usr/share/doc/packages/pmount/COPYING
/usr/share/doc/packages/pmount/ChangeLog
/usr/share/doc/packages/pmount/README.SUSE
/usr/share/doc/packages/pmount/README.devel
/usr/share/doc/packages/pmount/TODO
/usr/share/man/man1/pmount.1.gz
/usr/share/man/man1/pumount.1.gz
/usr/share/man/man5/pmount.conf.5.gz

Changelog

2012-08-16 - seife+obs@b1-systems.com
- fix rpmlint error on 12.2+ by adding -fpie to CFLAGS
2011-12-03 - pascal.bleser@opensuse.org
- update to 0.9.99-alpha
2010-06-19 - detlef@links2linux.de
- new upstream version <0.9.23>
* fix a security hole (see CVE-2010-2192 for more
information). Upgrading is seriously recommended.
2010-05-11 - detlef@links2linux.de
- add fix_cryptsetup_rroot.patch
2010-05-07 - detlef@links2linux.de
- new upstream version <0.9.21>
* now whitelisting ext4.
* few configure.ac tweaks
* now, cryptsetup is run by default with ruid = euid = 0 to work
around a libgcrypt "feature"
* pulling new translations from Rosetta
2010-01-02 - AxelKoellhofer@web.de
- added patch to fix warnings about implcit declarations of functions
- added patch to suppress warning "unknown filesystem ext4dev" on 11.1
- added libblkid-devel to BuildRequires (needed for building in OBS)
2009-11-26 - AxelKoellhofer@web.de
- added cryptsetup-rroot.patch from debian upstream
2009-11-13 - AxelKoellhofer@web.de
- added bash-completion script (taken from debian sid)
- added ext4 support (adapted patch from debian sid)
- converted sources to bz2
- added rpmlintrc
2009-09-11 - detlef@links2linux.de
- new upstream version <0.9.20>
* fix few typos (in man/pmount.1 and configure.ac)
* severely discourage lazy unmount
* switch to errors=remount-ro to avoid massive FS corruption when a
problem is found
* allow unmounting of devices which do not exist anymore
* pulled newer translations from Rosatta
2009-03-05 - detlef@links2linux.de
- new upstream version <0.9.19>
* drop the dependency on libsysfs and also fix failure to recognise
that a device is removable with newer kernels
* do realpath expansion on devices whitelisted in /etc/pmount.allow,
which enables the use of symlinks inside it.
* fixed few problems in the manual page
* pulled newer translations from Rosetta

See Also

Package Description
pmount-lang-0.9.99-4.211.noarch.rpm Translations for package pmount
pmount-lang-0.9.99-4.212.noarch.rpm Translations for package pmount
pms-0.42.20160131.fcc4704-2.36.i586.rpm Curses Client for the Music Player Daemon
pms-0.42.20160131.fcc4704-2.36.x86_64.rpm Curses Client for the Music Player Daemon
pogo-0.8-2.5.noarch.rpm Simple Audio Player
polyglot-1.4.70b-1.271.i586.rpm A Xboard/Winboard protocol to UCI protocol adapter
polyglot-1.4.70b-1.271.x86_64.rpm A Xboard/Winboard protocol to UCI protocol adapter
psi+-iconsets-19.02.20+1-1.1.noarch.rpm Icons for Psi
pulseaudio-dlna-0.5.2-1.19.noarch.rpm A DLNA server which brings DLNA/UPnP support to PulseAudio
pydb-1.26-3.7.x86_64.rpm Pydb is an expanded version of the Python debugger
pydb-1.26-3.8.i586.rpm Pydb is an expanded version of the Python debugger
pymp3cut-0.27-2.5.noarch.rpm Cut MP3 Files
python-ecasound-2.9.1-4.2.i586.rpm Python Bindings to the Ecasound Control Interface
python-ecasound-2.9.1-4.2.x86_64.rpm Python Bindings to the Ecasound Control Interface
python-fpconst-0.7.3-3.9.noarch.rpm Utilities for Handling IEEE 754 Floating Point Special Values
Advertisement
Advertisement